gnutls_pubkey_get_pk_ecc_raw(3)

NAME
gnutls_pubkey_get_pk_ecc_raw - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_pubkey_get_pk_ecc_raw(gnutls_pubkey_t key, gnutls_ecc_curve_t * curve, gnutls_datum_t * x, gnutls_datum_t * y);

ARGUMENTS

gnutls_pubkey_t key
    Holds the public key

gnutls_ecc_curve_t * curve
    will hold the curve

gnutls_datum_t * x
    will hold x

gnutls_datum_t * y
    will hold y

DESCRIPTION
This function will export the ECC public key's parameters found in the given certificate. The new parameters will be allocated using gnutls_malloc() and will be stored in the appropriate datum.

RETURNS
GNUTLS_E_SUCCESS on success, otherwise an error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.